Skip to content

Applicants ​

This page documents on how to:

Fetch applicants ​

Fetch a list of applicants accounts.

Scope ​

applicants_read

Endpoint ​

http
GET /applicants

Open in Postman

The payload in this endpoint is paginated. Information will be provided in the headers.

Consult the guide for pagination

Accepted params ​

All parameters should be in the querystring.

ParamTypeExample valueDefaultDescription
embedString"address,applications,pools"nullWanted embedded data, separated with comas. Available values: [address,applications,pools]
keywordsString"foo bar"nullSearch from keywords in first_name, last_name and email fields
is_partner_newsletter_activeBooleantruenullOnly returns applicants who agreed receiving the partner newsletter emails
is_campaign_alert_activeBooleantruenullOnly returns applicants who agreed receiving the new job offers newsletter emails
orderString"created_at""created_at"Chosen field for ordering the data. Available values: ["created_at"]
sortString"desc""desc"Way of sorting the data. Available values: ["asc","desc"]
pageInteger11Page to fetch
per_pageInteger5050Quantity of data by page (max value is 50)

Embedded data ​

Querying embedded data in this endpoint will be deprecated soon. Embeds can still be requested in the show endpoint, just below.

In this endpoint, embedded data can be requested:

  • address: Applicant address
  • applications: List of Applications linked to the Applicant
  • pools: List of Pools to which the Applicant has been added by a Manager

Examples ​

Find applicants with the keyword "Romain". I also want to see their potential pools.
http
GET https://api.talentview.fr/v2/applicants?embed=pools&keywords=Romain

View response example

Fetch the second page of my results, with 20 results per page.
http
GET https://api.talentview.fr/v2/applicants?page=1&per_page=20

Fetch applicant ​

Fetch one specific Applicant account from its id or email address.

Scope ​

applicants_read

Endpoint ​

http
GET /applicants/:id

Open in Postman

Accepted params ​

ParamTypeExample valueDefaultDescription
idInteger or Stringfoo@bar.com-In the path, id or email of the Applicant to fetch.
embedString"address,applications,pools"nullIn the querystring, wanted embedded data, separated with comas. Available values: [address,applications,pools]

Embedded data ​

In this endpoint, embedded data can be requested:

  • address: Applicant address
  • applications: List of Applications linked to the Applicant
  • pools: List of Pools to which the Applicant has been added by a Manager

Examples ​

Retrieve all the data of an applicant whose email address is "jean.larmy@email.net".
http
GET https://api.talentview.fr/v2/applicants/jean.larmy@email.net/embed=address,applications,pools

View response example

Create applicant ​

Create an Applicant account.

Scope ​

applicants_write

Endpoint ​

http
POST /applicants

Open in Postman

Accepted params ​

All parameters should be in the request's body.

ParamTypeExample valueRequiredDescription
applicantObject-✓Applicant's data
applicant["email"]String"foo@bar.com"✓Email address
applicant["first_name"]String"Foo"✗First name
applicant["last_name"]String"Bar"✗Last name
applicant["locale"]String"fr"✗Applicant's language. Available values: ["fr", "en", "es"]
applicant["phone_code"]String"33"✗Phone country code
applicant["phone_number"]String"642424242"✗Phone number without country code
applicant["avatar_url"]String"https://foo.bar/url"✗Public picture url
applicant["iso_country"]String"FR"✗ISO country
applicant["is_partner_newsletter_active"]Booleanfalse✗Has the Applicant subscribed to the partner newsletter
applicant["is_campaign_alert_active"]Booleanfalse✗Has the Applicant subscribed to the new job offers email alert
applicant["is_legals_accepted_by_manager"]Booleanfalse✗do you have the applicant's agreement to upload it in Kelio ATS. false by default. If this field is not set to true, the applicant will receive an email with a link to accept our terms and conditions.
applicant["bio_url"]String"https://foo.bar/url"✗Public url to the Applicant's website/portfolio
applicant["resume"]Object-✗To upload a resume, both base64 and mime_type following fields are required. NB: the resume is uploaded asynchronously. You can find the resume_url in fetch applicant, fetch applicants or fetch applications.
applicant["resume"]["base64"]String"JVBERi0xLjQ..."✓ / ✗Resume encoded in base64.
applicant["resume"]["mime_type"]String"pdf"✓ / ✗Mime type of the file. Available values: ["pdf", "jpg", "png", "doc", "docx"]
applicant["address"]Object-✗Applicant's address
applicant["address"]["lat"]Float50.62925✗Latitude
applicant["address"]["lon"]Float3.057256✗Longitude
applicant["address"]["name"]String"165 Avenue de Bretagne, 59000 Lille, France"✗Complete address (only for display, filling in this field will not autocomplete the full address object)
applicant["address"]["street_number"]String"165"✗Street number
applicant["address"]["street"]String"Avenue de Bretagne"✗Street name
applicant["address"]["zipcode"]String"59000"✗Postal code
applicant["address"]["city"]String"Lille"✗City
applicant["address"]["country"]String"France"✗Country
applicant["address"]["iso_country"]String"FR"✗ISO country code
applicant["applications"]Object or Array of Objects-✗Usable to create Applications linked to the Applicant in one single API call
applicant["applications"]["campaign_id"]Integer1✓Campaign id linked to the Application. The Campaign status has to be online, draft or standby
applicant["applications"]["source"]String"indeed"✗Source of the Application (has to be a source from the Company sources list)
applicant["applications"]["comments"]Object or Array of Objects-✗Usable to create comments linked to the Application
applicant["applications"]["comments"]["content"]String"My comment"✗Content of the comment linked to this Application
applicant["applications"]["comments"]["attachment"]Object-✗To upload an attachment, both base64 and mime_type following fields are required. NB: the attached file is uploaded asynchronously.
applicant["applications"]["comments"]["attachment"]["base64"]String"JVBERi0xLjQ..."✓ / ✗Attached file encoded in base64.
applicant["applications"]["comments"]["attachment"]["mime_type"]String"png"✓ / ✗Mime type of the file. Available values: ["pdf", "jpg", "png", "doc", "docx", "xlsx"]
applicant["pools"]Array of Integers[1, 2, 3]✗Pool ids to assign the Applicant to one or several pools

Examples ​

Create an applicant and assign him to a pool.

URL:

http
POST https://api.talentview.fr/v2/applicants

BODY:

json
{
    "applicant":{
        "email":                            "jane_doe@example.com",
        "first_name":                       "Jane",
        "last_name":                        "Doe",
        "avatar_url":                       "https://s3-eu-west-1.amazonaws.com/talentview/assets/default-avatar.png",
        "is_legals_accepted_by_manager":    true,
        "bio_url":                          "https://developers.talentview.fr",
        "pools":                            [1],
        "resume": {
            "mime_type":                    "pdf",
            "base64":                       "JVBERi0xLjQ..."
        }
    }
}

View response example

Create an applicant with two applications, and one of them have comments.

URL:

http
POST https://api.talentview.fr/v2/applicants

BODY:

json
{
    "applicant":{
        "email":                            "jane_doe@example.com",
        "first_name":                       "Jane",
        "last_name":                        "Doe",
        "locale":                           "fr",
        "phone_code":                       "33",
        "phone_number":                     "601020304",
        "avatar_url":                       "https://s3-eu-west-1.amazonaws.com/talentview/assets/default-avatar.png",
        "iso_country":                      "FR",
        "is_partner_newsletter_active":     false,
        "is_campaign_alert_active":         false,
        "is_legals_accepted_by_manager":    true,
        "resume": {
            "mime_type":                    "pdf",
            "base64":                       "JVBERi0xLjQ..."
        },
        "address": {
            "lat":                          "50.62925",
            "lon":                          "3.057256",
            "name":                         "165 Avenue de Bretagne, 59000 Lille, France",
            "street_number":                "165",
            "street":                       "Avenue de Bretagne",
            "zipcode":                      "59000",
            "city":                         "Lille",
            "country":                      "France",
            "iso_country":                  "FR"
        },
        "applications":[
            {
                "campaign_id":              1,
                "source":                   "indeed",
                "tags":                     ["english-speaker", "junior"],
                "comments":[{
                    "content":              "First comment content",
                    "attachment":{
                        "mime_type":        "jpeg",
                        "base64":           "JVBERi0xLjQ..."
                    }
                },{
                    "content":              "Other comment content",
                    "attachment":{
                        "mime_type":        "png",
                        "base64":           "JVBERi0xLjQ..."
                    }
                }]
            },
            {
                "campaign_id":              2,
                "source":                   "wttj"
            }
        ]
    }
}

View response example

Customer documentation for the Kelio ATS API